<?php
namespace Bushelpowered\Api\Platform\Message\V1\Request;
        
class SendMessageRequest 
{
    /** @var \Bushelpowered\Api\Platform\Message\V1\Request\MessageTargetData[] $targetData */
    public array $targetData;
    /** @var string $topic */
    public string $topic;
    /** @var null|string $title */
    public ?string $title = null;
    /** @var null|string $body */
    public ?string $body = null;
    /** @var \Bushelpowered\Api\Platform\Message\V1\Request\Channel[] $channels */
    public array $channels;

    /**
     * @param  \Bushelpowered\Api\Platform\Message\V1\Request\MessageTargetData[]  $targetData 
     * @param  string  $topic 
     * @param  null|string  $title 
     * @param  null|string  $body 
     * @param  \Bushelpowered\Api\Platform\Message\V1\Request\Channel[]  $channels 
     */
    public function __construct(array $targetData, string $topic, ?string $title, ?string $body, array $channels)
    {
        $this->targetData = $targetData;
        $this->topic = $topic;
        $this->title = $title;
        $this->body = $body;
        $this->channels = $channels;
    }
    

}